import java.util.*;
import java.io.*;
public class A {
    public static void main(String[] args) throws Exception {
       Scanner in=new Scanner(new File("quotient.in"));
        int a=in.nextInt();
        int b=in.nextInt();
       PrintWriter out=new PrintWriter(new File("quotient.out"));
        if(b==0)
          out.print("Na nol' delit' nel'zya!!!");
        else
        {
            if(a<0 && b<0)
              out.print((-a)/(-b));
            else  if(a<0 && b>0)
              out.print((a/b)-1);
            else if(a>0 && b<0)
              out.print(a/(-b));
            else out.print(a/b);
        }
       out.close();
    }
}
